Bug 1136865

Summary: perl-CHI-0.58-2.fc22 FTBFS randomly: 40 is not between 59 and 99
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: perl-CHIAssignee: Ralf Corsepius <rc040203>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: perl-devel, rc040203
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 12:05:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2014-09-03 13:29:18 UTC
perl-CHI-0.58-2.fc22 failed to build for me in F22 like this:

# 40 is not between 59 and 99
#   Failed test 'File:l1_cache size = 40'
#   at /builddir/build/BUILD/CHI-0.58/blib/lib/CHI/t/Driver.pm line 1556.
#   (in CHI::t::Driver::Subcache::mirror_cache->test_size_awareness_with_subcach
es)
# 2 is not between 3 and 5
#   Failed test 'File:l1_cache keys = 2'
#   at /builddir/build/BUILD/CHI-0.58/blib/lib/CHI/t/Driver.pm line 1558.
#   (in CHI::t::Driver::Subcache::mirror_cache->test_size_awareness_with_subcach
es)
# Looks like you failed 2 tests of 436.
t/smoke-Driver-Subcache-mirror_cache.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/436 subtests 
        (less 1 skipped subtest: 433 okay)

I believe this is a race visible on a slow machine (cache entry expiration) but I cannot reproduce it. The same failure can be seen on CPAN test matrix <http://www.cpantesters.org/cpan/report/6110b488-9577-11e3-ae04-8631d666d1b8>.

Comment 1 Jaroslav Reznik 2015-03-03 16:16:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 12:05:46 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.